# shut everything off from second phase
data merge block 2872 10 -451 {auto:0}
data merge block 2872 8 -447 {auto:0}
kill @e[type=marker]
kill @e[type=armor_stand]

# enters 3rd phase and shapeshifting begins
tp @e[type=wither_skeleton,tag=boss] 2872 7 -439
tellraw @a ["",{"text":"["},{"text":"???","bold":true,"color":"dark_red"},{"text":"] "},{"text":"LET'S SEE HOW YOU LIKE PSYCHOLOGICAL WARFARE!!!","bold":true,"color":"dark_red"}]

execute as @a at @s run playsound minecraft:block.portal.travel master @s ~ ~ ~ 100000 2
execute as @a at @s run playsound minecraft:block.end_portal.spawn master @s ~ ~ ~ 100000 1.3
effect give @a blindness 3 0

bossbar set boss max 1000

# summons all da mobs in this box
execute positioned 2865 25 -446 run function lily:entity/m11/shapeshifted_jerry
execute positioned 2865 25 -446 run function lily:entity/m11/shapeshifted_netheritis
execute positioned 2865 25 -446 run function lily:entity/m11/shapeshifted_zopig
execute positioned 2865 25 -446 run function lily:entity/m11/shapeshifted_nautica

# Shapeshifted Data
execute as @e[type=zombie_villager,tag=shapeshifted_jerry] at @s run data merge entity @s {DeathLootTable:"minecraft:empty",Team:"Enemy",PersistenceRequired:1b,Health:250f,Tags:["shapeshifted_jerry","shapeshifted"],CustomName:'{"text":"Jerry?","bold":true}',HandItems:[{id:"minecraft:iron_axe",Count:1b,tag:{AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;408364723,-255310333,-1501151442,-1616109376],Slot:"mainhand"}]}},{}],HandDropChances:[0.000F,0.085F],Attributes:[{Name:"generic.max_health",Base:250},{Name:"generic.follow_range",Base:256},{Name:"generic.knockback_resistance",Base:0.3},{Name:"generic.movement_speed",Base:0.37},{Name:"generic.attack_damage",Base:25}],VillagerData:{level:2,profession:"minecraft:farmer",type:"minecraft:plains"}}
execute as @e[type=skeleton,tag=shapeshifted_netheritis] at @s run data merge entity @s {DeathLootTable:"minecraft:empty",Team:"Enemy",PersistenceRequired:1b,Health:250f,Tags:["shapeshifted_netheritis","shapeshifted"],CustomName:'{"text":"Netheritis?","bold":true}',HandItems:[{id:"minecraft:netherite_sword",Count:1b,tag:{Unbreakable:1b,Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;-1065652482,-1349234893,-1949433599,649505830],Slot:"mainhand"}]}},{id:"minecraft:netherite_axe",Count:1b,tag:{Enchantments:[{}]}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b,tag:{Unbreakable:1b,Enchantments:[{}],Trim:{material:"minecraft:netherite",pattern:"minecraft:silence"}}},{id:"minecraft:netherite_leggings",Count:1b,tag:{Unbreakable:1b,Enchantments:[{}],Trim:{material:"minecraft:netherite",pattern:"minecraft:silence"}}},{id:"minecraft:netherite_chestplate",Count:1b,tag:{Unbreakable:1b,Enchantments:[{id:"minecraft:thorns",lvl:3s}],Trim:{material:"minecraft:netherite",pattern:"minecraft:silence"}}},{id:"minecraft:netherite_helmet",Count:1b,tag:{Unbreakable:1b,Enchantments:[{}],Trim:{material:"minecraft:netherite",pattern:"minecraft:silence"}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:250},{Name:"generic.follow_range",Base:256},{Name:"generic.knockback_resistance",Base:0.45},{Name:"generic.movement_speed",Base:0.33},{Name:"generic.attack_damage",Base:25}]}
execute as @e[type=piglin_brute,tag=shapeshifted_zopig] at @s run data merge entity @s {DeathLootTable:"minecraft:empty",Team:"Enemy",PersistenceRequired:1b,Health:250f,IsImmuneToZombification:1b,Tags:["shapeshifted_zopig","shapeshifted"],CustomName:'{"text":"Zopig?","bold":true}',HandItems:[{id:"minecraft:wooden_sword",Count:1b,tag:{Unbreakable:1b,CustomModelData:32,Enchantments:[{}]}},{}],HandDropChances:[0.000F,0.085F],ArmorItems:[{id:"minecraft:golden_boots",Count:1b,tag:{Enchantments:[{}],Trim:{material:"minecraft:diamond",pattern:"minecraft:snout"}}},{id:"minecraft:iron_leggings",Count:1b,tag:{Unbreakable:1b,Enchantments:[{}],Trim:{material:"minecraft:gold",pattern:"minecraft:snout"}}},{id:"minecraft:iron_chestplate",Count:1b,tag:{Unbreakable:1b,Enchantments:[{}],Trim:{material:"minecraft:gold",pattern:"minecraft:snout"}}},{id:"minecraft:golden_helmet",Count:1b,tag:{Unbreakable:1b,Enchantments:[{}],Trim:{material:"minecraft:diamond",pattern:"minecraft:snout"}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:250},{Name:"generic.follow_range",Base:256},{Name:"generic.knockback_resistance",Base:0.45},{Name:"generic.attack_damage",Base:25}]}
execute as @e[type=skeleton,tag=shapeshifted_nautica] at @s run data merge entity @s {DeathLootTable:"minecraft:empty",Team:"Enemy",PersistenceRequired:1b,Health:250f,Tags:["shapeshifted_nautica","shapeshifted"],CustomName:'{"text":"Queen Nautica?","bold":true}',HandItems:[{id:"minecraft:wooden_sword",Count:1b,tag:{CustomModelData:89,Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;-810264876,-1592898993,-1294628939,-185204106],Slot:"mainhand"}]}},{id:"minecraft:wooden_sword",Count:1b,tag:{CustomModelData:89,Enchantments:[{}]}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:diamond_boots",Count:1b,tag:{Unbreakable:1b,Enchantments:[{}],Trim:{material:"minecraft:iron",pattern:"minecraft:coast"}}},{id:"minecraft:diamond_leggings",Count:1b,tag:{Unbreakable:1b,Enchantments:[{}],Trim:{material:"minecraft:iron",pattern:"minecraft:tide"}}},{id:"minecraft:chainmail_chestplate",Count:1b,tag:{Unbreakable:1b,Enchantments:[{}],Trim:{material:"minecraft:diamond",pattern:"minecraft:coast"}}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:48127},Unbreakable:1b,Enchantments:[{}],Trim:{material:"minecraft:diamond",pattern:"minecraft:tide"}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:250},{Name:"generic.follow_range",Base:256},{Name:"generic.knockback_resistance",Base:0.35},{Name:"generic.movement_speed",Base:0.39},{Name:"generic.attack_damage",Base:25}]}

scoreboard players set phase boss 3
scoreboard players set timer boss -1