# Cutscene End
kill @e[type=area_effect_cloud,tag=cutscene]
data merge block 170 51 -389 {auto:0}
scoreboard players reset @a Pan
scoreboard players set @a CameraID 0
tag @a remove player

# Objective Book/Gamemode/Data
gamemode adventure @a
tellraw @a ["",{"text":"<!> "},{"text":"Objective Book Updated!","italic":true,"color":"blue"}]
clear @a minecraft:written_book{title:"Objective Book",author:"saladbowls"}
give @a written_book{pages:['["",{"text":"Current Objective:","bold":true,"color":"dark_blue"},{"text":"\\n","color":"black"},{"text":"You have found out that Dunx II is guarding the Nether portal. Defeat him and his minions to advance!","italic":true,"color":"blue"}]'],title:"Objective Book",author:saladbowls}
execute as @a at @s run playsound minecraft:block.beacon.power_select master @s ~ ~ ~ 100000 1.8

# Start Waves (also death stare)
data merge block 166 51 -397 {auto:1}
execute positioned 145 42 -398 run function lily:entity/m3/special/undead_desert_survivor
execute positioned 145 42 -398 run function lily:entity/m3/special/sandstone_archer

# Sandstone Archer Data
execute if score Difficulty Difficulty matches 1 as @e[tag=SandstoneA,tag=M3Wave] run data merge entity @s {CustomNameVisible:0b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/casual/m3/sandstone_archer",PersistenceRequired:1b,CanPickUpLoot:0b,Health:20f,Tags:["SandstoneA","M3Wave"],CustomName:'{"text":"Sandstone Archer"}',HandItems:[{id:"minecraft:bow",Count:1b,tag:{CustomModelData:300,Enchantments:[{id:"minecraft:power",lvl:1s}]}},{}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:16777133}}},{id:"minecraft:chainmail_leggings",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:16777133}}},{id:"minecraft:chainmail_helmet",Count:1b,tag:{Enchantments:[{}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:20},{Name:"generic.follow_range",Base:16}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=SandstoneA,tag=M3Wave] run data merge entity @s {CustomNameVisible:0b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/normal/m3/sandstone_archer",PersistenceRequired:1b,CanPickUpLoot:0b,Health:27f,Tags:["SandstoneA","M3Wave"],CustomName:'{"text":"Sandstone Archer"}',HandItems:[{id:"minecraft:bow",Count:1b,tag:{CustomModelData:300,Enchantments:[{id:"minecraft:power",lvl:1s}]}},{}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:16777133}}},{id:"minecraft:chainmail_leggings",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:16777133}}},{id:"minecraft:chainmail_helmet",Count:1b,tag:{Enchantments:[{}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:27},{Name:"generic.follow_range",Base:16}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=SandstoneA,tag=M3Wave] run data merge entity @s {CustomNameVisible:0b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/insane/m3/sandstone_archer",PersistenceRequired:1b,CanPickUpLoot:0b,Health:34f,Tags:["SandstoneA","M3Wave"],CustomName:'{"text":"Sandstone Archer"}',HandItems:[{id:"minecraft:bow",Count:1b,tag:{CustomModelData:300,Enchantments:[{id:"minecraft:power",lvl:1s}]}},{}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:16777133}}},{id:"minecraft:chainmail_leggings",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:16777133}}},{id:"minecraft:chainmail_helmet",Count:1b,tag:{Enchantments:[{}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:34},{Name:"generic.follow_range",Base:16}]}

# Undead Desert Survivor Data
execute if score Difficulty Difficulty matches 1 as @e[tag=UndeadDS,tag=M3Wave] run data merge entity @s {CustomNameVisible:0b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/casual/m3/undead_desert_survivor",PersistenceRequired:1b,CanPickUpLoot:0b,Health:25f,Tags:["UndeadDS","M3Wave"],CustomName:'{"text":"Undead Desert Survivor"}',HandItems:[{id:"minecraft:wooden_axe",Count:1b,tag:{CustomModelData:20,Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;412395554,-341562396,-517891167,-310124519],Slot:"mainhand"}]}},{}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:chainmail_boots",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:chainmail_leggings",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:chainmail_chestplate",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:16777133}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:25},{Name:"generic.follow_range",Base:16},{Name:"generic.attack_damage",Base:5}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=UndeadDS,tag=M3Wave] run data merge entity @s {CustomNameVisible:0b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/normal/m3/undead_desert_survivor",PersistenceRequired:1b,CanPickUpLoot:0b,Health:33f,Tags:["UndeadDS","M3Wave"],CustomName:'{"text":"Undead Desert Survivor"}',HandItems:[{id:"minecraft:wooden_axe",Count:1b,tag:{CustomModelData:20,Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;124492794,-341412496,-511330067,-314555419],Slot:"mainhand"}]}},{}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:chainmail_boots",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:chainmail_leggings",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:chainmail_chestplate",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:16777133}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:33},{Name:"generic.follow_range",Base:16},{Name:"generic.attack_damage",Base:6}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=UndeadDS,tag=M3Wave] run data merge entity @s {CustomNameVisible:0b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/insane/m3/undead_desert_survivor",PersistenceRequired:1b,CanPickUpLoot:0b,Health:41f,Tags:["UndeadDS","M3Wave"],CustomName:'{"text":"Undead Desert Survivor"}',HandItems:[{id:"minecraft:wooden_axe",Count:1b,tag:{CustomModelData:20,Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;113452794,-341696396,-578901671,-310112419],Slot:"mainhand"}]}},{}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:chainmail_boots",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:chainmail_leggings",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:chainmail_chestplate",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:16777133}}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:41},{Name:"generic.follow_range",Base:16},{Name:"generic.attack_damage",Base:7}]}

# Scoreboard
scoreboard players set @a M3WaveStage 1
data merge block 164 51 -397 {auto:1}