# Cutscene End
kill @e[type=area_effect_cloud,tag=cutscene]
data merge block 481 17 -344 {auto:0}
scoreboard players reset @a Pan
scoreboard players set @a CameraID 0
tag @a remove player

# Turn on ENW Timer
data merge block 519 3 -300 {auto:1}
data merge block 519 5 -300 {auto:1}
data merge block 519 7 -300 {auto:1}
setblock 520 3 -297 minecraft:redstone_wire replace

# Objective Book
gamemode adventure @a
tellraw @a ["",{"text":"<!> "},{"text":"Objective Book Updated!","italic":true,"color":"blue"}]
clear @a minecraft:written_book{title:"Objective Book",author:"saladbowls"}
give @a written_book{pages:['["",{"text":"Current Objective:","bold":true,"color":"dark_blue"},{"text":"\\n","color":"black"},{"text":"You have encountered an Experienced Nether Wizard. Defeat him to advance up to the second floor!","italic":true,"color":"blue"}]'],title:"Objective Book",author:saladbowls}
execute as @a at @s run playsound minecraft:block.beacon.power_select master @s ~ ~ ~ 100000 1.8

# NEW STUFF LIKE THIS COOL BOSSBAR
bossbar add m5_wizard {"text":"Experienced Nether Wizard","color":"dark_red","bold":true}
bossbar set m5_wizard color red

execute if score Difficulty Difficulty matches 1 run bossbar set m5_wizard max 280
execute if score Difficulty Difficulty matches 2 run bossbar set m5_wizard max 370
execute if score Difficulty Difficulty matches 3 run bossbar set m5_wizard max 460

bossbar set m5_wizard visible true
bossbar set m5_wizard players @a

data merge block 493 5 -321 {auto:1}

# Experienced Nether Wizard Data
execute if score Difficulty Difficulty matches 1 as @e[tag=ExperiencedNW] run data merge entity @s {Invulnerable:0b,Rotation:[150f,0f],NoAI:0b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/casual/m5/experienced_nether_wizard",PersistenceRequired:1b,CanPickUpLoot:0b,Health:280f,Tags:["ExperiencedNW"],CustomName:'{"text":"Experienced Nether Wizard","bold":true}',HandItems:[{id:"minecraft:nether_star",Count:1b},{}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:iron_boots",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:chainmail_leggings",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:iron_chestplate",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:6095004},Enchantments:[{}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:280},{Name:"generic.follow_range",Base:32},{Name:"generic.knockback_resistance",Base:0.3},{Name:"generic.attack_damage",Base:8}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=ExperiencedNW] run data merge entity @s {Invulnerable:0b,Rotation:[150f,0f],NoAI:0b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/normal/m5/experienced_nether_wizard",PersistenceRequired:1b,CanPickUpLoot:0b,Health:370f,Tags:["ExperiencedNW"],CustomName:'{"text":"Experienced Nether Wizard","bold":true}',HandItems:[{id:"minecraft:nether_star",Count:1b},{}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:iron_boots",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:chainmail_leggings",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:iron_chestplate",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:6095004},Enchantments:[{}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:370},{Name:"generic.follow_range",Base:32},{Name:"generic.knockback_resistance",Base:0.35},{Name:"generic.attack_damage",Base:9}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=ExperiencedNW] run data merge entity @s {Invulnerable:0b,Rotation:[150f,0f],NoAI:0b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/insane/m5/experienced_nether_wizard",PersistenceRequired:1b,CanPickUpLoot:0b,Health:460f,Tags:["ExperiencedNW"],CustomName:'{"text":"Experienced Nether Wizard","bold":true}',HandItems:[{id:"minecraft:nether_star",Count:1b},{}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:iron_boots",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:chainmail_leggings",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:iron_chestplate",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:6095004},Enchantments:[{}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:460},{Name:"generic.follow_range",Base:32},{Name:"generic.knockback_resistance",Base:0.4},{Name:"generic.attack_damage",Base:10}]}