# Cutscene End
kill @e[type=area_effect_cloud,tag=cutscene]
data merge block 469 18 -213 {auto:0}
scoreboard players reset @a Pan
scoreboard players set @a CameraID 0
tag @a remove player
tp @a 449 30 -231 ~ ~

# Objective Book/Gamemode
gamemode adventure @a
tellraw @a ["",{"text":"<!> "},{"text":"Objective Book Updated!","italic":true,"color":"blue"}]
clear @a minecraft:written_book{title:"Objective Book",author:"saladbowls"}
give @a written_book{pages:['["",{"text":"Current Objective:","bold":true,"color":"dark_blue"},{"text":"\\n","color":"black"},{"text":"You have encountered Wirelessia, the warden of the Wirestone Enclosure. Defeat her to escape the enclosure!","italic":true,"color":"blue"}]'],title:"Objective Book",author:saladbowls}
execute as @a at @s run playsound minecraft:block.beacon.power_select master @s ~ ~ ~ 100000 1.8

# What's this? Is this another boss rework?
# YES IT IS!
# BUGGY OLD 2021 CODE IS G O N E :crab:
# Yay! Does this mean more rewrites for other bosses?
# N O !
# bruh.

bossbar add forcefield {"text":"Wirelessia's Forcefield","color":"dark_aqua","bold":true}
bossbar set forcefield color blue
bossbar set forcefield visible true
bossbar set forcefield players @a
bossbar set forcefield max 300

bossbar set minecraft:wirelessia visible true
bossbar set minecraft:wirelessia players @a

execute if score Difficulty Difficulty matches 1 run bossbar set wirelessia max 450
execute if score Difficulty Difficulty matches 2 run bossbar set wirelessia max 600
execute if score Difficulty Difficulty matches 3 run bossbar set wirelessia max 780

scoreboard players set timer M6BossAbility 0
scoreboard players set phase M6BossAbility 1
data merge block 479 18 -208 {auto:1}

setblock 471 18 -199 minecraft:redstone_wire replace
setblock 471 18 -201 minecraft:redstone_wire replace
setblock 471 18 -203 minecraft:redstone_wire replace

# Wirelessia Data 
execute if score Difficulty Difficulty matches 1 as @e[tag=Wirelessia] run data merge entity @s {AbsorptionAmount:450f,Rotation:[180f,0f],NoAI:1b,Invulnerable:1b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/casual/m6/wirelessia",PersistenceRequired:1b,Health:450f,Tags:["wire"],CustomName:'{"text":"Wirelessia","bold":true,"italic":false}',HandItems:[{id:"minecraft:carrot_on_a_stick",Count:1,tag:{CustomModelData:1104}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:93},Enchantments:[{}]}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:93},Enchantments:[{}]}},{id:"minecraft:iron_chestplate",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:93},Enchantments:[{}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_absorption",Base:450},{Name:"generic.max_health",Base:450},{Name:"generic.follow_range",Base:32},{Name:"generic.knockback_resistance",Base:0.4},{Name:"generic.attack_damage",Base:10}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=Wirelessia] run data merge entity @s {AbsorptionAmount:600f,Rotation:[180f,0f],NoAI:1b,Invulnerable:1b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/normal/m6/wirelessia",PersistenceRequired:1b,Health:600f,Tags:["wire"],CustomName:'{"text":"Wirelessia","bold":true,"italic":false}',HandItems:[{id:"minecraft:carrot_on_a_stick",Count:1,tag:{CustomModelData:1104}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:93},Enchantments:[{}]}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:93},Enchantments:[{}]}},{id:"minecraft:iron_chestplate",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:93},Enchantments:[{}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_absorption",Base:600},{Name:"generic.max_health",Base:600},{Name:"generic.follow_range",Base:32},{Name:"generic.knockback_resistance",Base:0.45},{Name:"generic.attack_damage",Base:11}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=Wirelessia] run data merge entity @s {AbsorptionAmount:780f,Rotation:[180f,0f],NoAI:1b,Invulnerable:1b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/insane/m6/wirelessia",PersistenceRequired:1b,Health:780f,Tags:["wire"],CustomName:'{"text":"Wirelessia","bold":true,"italic":false}',HandItems:[{id:"minecraft:carrot_on_a_stick",Count:1,tag:{CustomModelData:1104}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:93},Enchantments:[{}]}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:93},Enchantments:[{}]}},{id:"minecraft:iron_chestplate",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:93},Enchantments:[{}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_absorption",Base:780},{Name:"generic.max_health",Base:780},{Name:"generic.follow_range",Base:32},{Name:"generic.knockback_resistance",Base:0.5},{Name:"generic.attack_damage",Base:12}]}

# Electric Force Guard (Blue) Data
execute as @e[tag=EFGBLUE] run data merge entity @s {Rotation:[180f,0f],Silent:1b,Invulnerable:0b,Glowing:1b,Team:"m6blue",DeathLootTable:"minecraft:empty",PersistenceRequired:1b,NoAI:1b,Health:80f,IsBaby:0b,CanBreakDoors:0b,Tags:["fg_blue","force_guard"],CustomName:'{"text":"Electric Force Guardian","bold":false,"italic":false}',ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:1139},Enchantments:[{id:"minecraft:thorns",lvl:2s}]}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:1139},Enchantments:[{id:"minecraft:thorns",lvl:2s}]}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:1139},Enchantments:[{id:"minecraft:thorns",lvl:2s}]}},{id:"minecraft:blue_stained_glass",Count:1b}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],active_effects:[{id:"minecraft:invisibility",amplifier:1b,duration:2000000,show_particles:0b}],Attributes:[{Name:"generic.max_health",Base:80},{Name:"generic.follow_range",Base:16},{Name:"generic.knockback_resistance",Base:1},{Name:"generic.movement_speed",Base:0},{Name:"generic.attack_damage",Base:0},{Name:"zombie.spawn_reinforcements",Base:0}]}

# Electric Force Guard (Light Blue) Data
execute as @e[tag=EFGLBLUE] run data merge entity @s {Rotation:[180f,0f],Silent:1b,Invulnerable:0b,Glowing:1b,Team:"m6lightblue",DeathLootTable:"minecraft:empty",PersistenceRequired:1b,NoAI:1b,Health:100f,IsBaby:0b,CanBreakDoors:0b,Tags:["fg_lblue","force_guard"],CustomName:'{"text":"Electric Force Guardian","bold":false,"italic":false}',ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:32455},Enchantments:[{id:"minecraft:thorns",lvl:4s}]}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:32455},Enchantments:[{id:"minecraft:thorns",lvl:4s}]}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:32455},Enchantments:[{id:"minecraft:thorns",lvl:4s}]}},{id:"minecraft:light_blue_stained_glass",Count:1b}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],active_effects:[{id:"minecraft:invisibility",amplifier:1b,duration:2000000,show_particles:0b}],Attributes:[{Name:"generic.max_health",Base:100},{Name:"generic.follow_range",Base:16},{Name:"generic.knockback_resistance",Base:1},{Name:"generic.movement_speed",Base:0},{Name:"generic.attack_damage",Base:0},{Name:"zombie.spawn_reinforcements",Base:0}]}

# Electric Force Guard (Cyan) Data
execute as @e[tag=EFGCYAN] run data merge entity @s {Rotation:[180f,0f],Silent:1b,Invulnerable:0b,Glowing:1b,Team:"m6cyan",DeathLootTable:"minecraft:empty",PersistenceRequired:1b,NoAI:1b,Health:120f,IsBaby:0b,CanBreakDoors:0b,Tags:["fg_cyan","force_guard"],CustomName:'{"text":"Electric Force Guardian","bold":false,"italic":false}',ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:40076},Enchantments:[{id:"minecraft:thorns",lvl:5s}]}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:40076},Enchantments:[{id:"minecraft:thorns",lvl:5s}]}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:40076},Enchantments:[{id:"minecraft:thorns",lvl:5s}]}},{id:"minecraft:cyan_stained_glass",Count:1b}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],active_effects:[{id:"minecraft:invisibility",amplifier:1b,duration:2000000,show_particles:0b}],Attributes:[{Name:"generic.max_health",Base:120},{Name:"generic.follow_range",Base:16},{Name:"generic.knockback_resistance",Base:1},{Name:"generic.movement_speed",Base:0},{Name:"generic.attack_damage",Base:0},{Name:"zombie.spawn_reinforcements",Base:0}]}

# Schedule
schedule function lily:m6/forcefield1 4s