# Cutscene End
kill @e[type=area_effect_cloud,tag=cutscene]
data merge block 537 30 -112 {auto:0}
scoreboard players reset @a Pan
scoreboard players set @a CameraID 0
tag @a remove player
tp @a 522 41 -88 ~ ~

# Objective Book/Gamemode
gamemode adventure @a
tellraw @a ["",{"text":"<!> "},{"text":"Objective Book Updated!","italic":true,"color":"blue"}]
clear @a minecraft:written_book{title:"Objective Book",author:"saladbowls"}
give @a written_book{pages:['["",{"text":"Current Objective:","bold":true,"color":"dark_blue"},{"text":"\\n","color":"black"},{"text":"You have encountered Pill in the Gotforth Catacombs. Defeat him to escape!","italic":true,"color":"blue"}]'],title:"Objective Book",author:saladbowls}
execute as @a at @s run playsound minecraft:block.beacon.power_select master @s ~ ~ ~ 100000 1.8

# Boss Fight Start
bossbar set minecraft:pill visible true
bossbar set minecraft:pill players @a
scoreboard players set @a M7Phase 1
scoreboard players set @a M7BossAbility 0
data merge block 548 33 -112 {auto:1}
data merge block 550 33 -112 {auto:1}
data merge block 541 30 -112 {auto:1}
data merge block 541 32 -112 {auto:1}
data merge block 541 34 -112 {auto:1}
data merge block 543 32 -112 {auto:1}
data merge block 543 34 -112 {auto:1}
data merge block 539 31 -112 {auto:1}
execute if score Difficulty Difficulty matches 2 run data merge block 545 30 -112 {auto:1}
execute if score Difficulty Difficulty matches 3 run data merge block 547 30 -112 {auto:1}
setblock 567 30 -110 minecraft:redstone_wire replace
schedule function lily:m7/pill_arrow_mod 15s

# Pill Data
execute if score Difficulty Difficulty matches 1 as @e[tag=Pill] run data merge entity @s {Silent:0b,Invulnerable:0b,CustomNameVisible:1b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/casual/m7/pill",PersistenceRequired:1b,NoAI:0b,CanPickUpLoot:0b,Health:927f,PatrolLeader:0b,Patrolling:0b,HasRaidGoal:0b,CanJoinRaid:0b,Tags:["Pill"],CustomName:'{"text":"Pill","color":"dark_red","bold":true,"italic":false}',HandItems:[{id:"minecraft:crossbow",Count:1b,tag:{CustomModelData:1100,Unbreakable:1b,Enchantments:[{id:"minecraft:multishot",lvl:1s},{id:"minecraft:quick_charge",lvl:5s}]}},{id:"minecraft:tipped_arrow",Count:64b,tag:{CustomPotionColor:4342338}}],HandDropChances:[0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:927},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.05}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=Pill] run data merge entity @s {Silent:0b,Invulnerable:0b,CustomNameVisible:1b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/normal/m7/pill",PersistenceRequired:1b,NoAI:0b,CanPickUpLoot:0b,Health:988f,PatrolLeader:0b,Patrolling:0b,HasRaidGoal:0b,CanJoinRaid:0b,Tags:["Pill"],CustomName:'{"text":"Pill","color":"dark_red","bold":true,"italic":false}',HandItems:[{id:"minecraft:crossbow",Count:1b,tag:{CustomModelData:1100,Unbreakable:1b,Enchantments:[{id:"minecraft:multishot",lvl:1s},{id:"minecraft:quick_charge",lvl:5s}]}},{id:"minecraft:tipped_arrow",Count:64b,tag:{CustomPotionColor:4342338}}],HandDropChances:[0.000F,0.000F],active_effects:[{id:"minecraft:resistance",amplifier:1b,duration:200000,show_particles:0b}],Attributes:[{Name:"generic.max_health",Base:988},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.1}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=Pill] run data merge entity @s {Silent:0b,Invulnerable:0b,CustomNameVisible:1b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/hard/m7/pill",PersistenceRequired:1b,NoAI:0b,CanPickUpLoot:0b,Health:740f,PatrolLeader:0b,Patrolling:0b,HasRaidGoal:0b,CanJoinRaid:0b,Tags:["Pill"],CustomName:'{"text":"Pill","color":"dark_red","bold":true,"italic":false}',HandItems:[{id:"minecraft:crossbow",Count:1b,tag:{CustomModelData:1100,Unbreakable:1b,Enchantments:[{id:"minecraft:multishot",lvl:1s},{id:"minecraft:quick_charge",lvl:5s}]}},{id:"minecraft:tipped_arrow",Count:64b,tag:{CustomPotionColor:4342338}}],HandDropChances:[0.000F,0.000F],active_effects:[{id:"minecraft:resistance",amplifier:2b,duration:200000,show_particles:0b}],Attributes:[{Name:"generic.max_health",Base:740},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.15}]}