# Cutscene End
kill @e[type=area_effect_cloud,tag=cutscene]
data merge block 945 6 4 {auto:0}
scoreboard players reset @a Pan
scoreboard players set @a CameraID 0
tag @a remove player

# Objective Book/Gamemode
gamemode adventure @a
tellraw @a ["",{"text":"<!> "},{"text":"Objective Book Updated!","italic":true,"color":"blue"}]
clear @a minecraft:written_book{title:"Objective Book",author:"saladbowls"}
give @a written_book{pages:['["",{"text":"Current Objective:","bold":true,"color":"dark_blue"},{"text":"\\n","color":"black"},{"text":"Queen Nautica has denied you access and wants to kill you. Defeat her!","italic":true,"color":"blue"}]'],title:"Objective Book",author:saladbowls}
execute as @a at @s run playsound minecraft:block.beacon.power_select master @s ~ ~ ~ 100000 1.8

# Boss Fight Start
data merge block 839 15 90 {auto:0}
bossbar set minecraft:nautica visible true
bossbar set minecraft:nautica players @a
data merge block 947 6 4 {auto:1}
data merge block 951 6 7 {auto:1}
data merge block 951 8 7 {auto:1}
data merge block 951 8 5 {auto:1}
data merge block 951 10 5 {auto:1}
data merge block 951 6 9 {auto:1}
data merge block 951 8 9 {auto:1}
data merge block 951 10 9 {auto:1}
data merge block 951 8 11 {auto:1}
data merge block 951 6 5 {auto:1}
data merge block 947 9 4 {auto:1}
setblock 946 6 9 minecraft:redstone_wire replace
scoreboard players set @a M8Phase 1
scoreboard players set @a M8BossAbility 0

# Queen Nautica Data
execute if score Difficulty Difficulty matches 1 as @e[tag=QueenNB] run data merge entity @s {NoAI:0b,Team:"Enemy",Invulnerable:0b,DeathLootTable:"minecraft:lily/entity/casual/m8/queen_nautica",PersistenceRequired:1b,CanPickUpLoot:0b,Health:420f,Tags:["QueenNB"],CustomName:'{"text":"Queen Nautica","bold":true}',HandItems:[{id:"minecraft:wooden_sword",Count:1b,tag:{CustomModelData:89,Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;-1947013677,-767999212,-1118889440,-1999275169],Slot:"mainhand"}]}},{id:"minecraft:wooden_sword",Count:1b,tag:{CustomModelData:89,Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;-608543179,-304265923,-1770992495,-520048844],Slot:"mainhand"}]}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:diamond_boots",Count:1b,tag:{Enchantments:[{id:"minecraft:depth_strider",lvl:5s}]}},{id:"minecraft:diamond_leggings",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:chainmail_chestplate",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:48127},Enchantments:[{id:"minecraft:respiration",lvl:3s},{id:"minecraft:thorns",lvl:2s}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:420},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.4},{Name:"generic.attack_damage",Base:12}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=QueenNB] run data merge entity @s {NoAI:0b,Team:"Enemy",Invulnerable:0b,DeathLootTable:"minecraft:lily/entity/normal/m8/queen_nautica",PersistenceRequired:1b,CanPickUpLoot:0b,Health:525f,Tags:["QueenNB"],CustomName:'{"text":"Queen Nautica","bold":true}',HandItems:[{id:"minecraft:wooden_sword",Count:1b,tag:{CustomModelData:89,Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;-1941013677,-767119212,-1134889440,-1929275169],Slot:"mainhand"}]}},{id:"minecraft:wooden_sword",Count:1b,tag:{CustomModelData:89,Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;-608511179,-304115923,-1710992495,-521048844],Slot:"mainhand"}]}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:diamond_boots",Count:1b,tag:{Enchantments:[{id:"minecraft:depth_strider",lvl:5s}]}},{id:"minecraft:diamond_leggings",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:chainmail_chestplate",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:48127},Enchantments:[{id:"minecraft:respiration",lvl:3s},{id:"minecraft:thorns",lvl:2s}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:525},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.45},{Name:"generic.attack_damage",Base:13}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=QueenNB] run data merge entity @s {NoAI:0b,Team:"Enemy",Invulnerable:0b,DeathLootTable:"minecraft:lily/entity/insane/m8/queen_nautica",PersistenceRequired:1b,CanPickUpLoot:0b,Health:655f,Tags:["QueenNB"],CustomName:'{"text":"Queen Nautica","bold":true}',HandItems:[{id:"minecraft:wooden_sword",Count:1b,tag:{CustomModelData:89,Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;-1247013677,-267999212,-1218889440,-1299275169],Slot:"mainhand"}]}},{id:"minecraft:wooden_sword",Count:1b,tag:{CustomModelData:89,Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;-558543179,-305265923,-1750992495,-520048144],Slot:"mainhand"}]}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:diamond_boots",Count:1b,tag:{Enchantments:[{id:"minecraft:depth_strider",lvl:5s}]}},{id:"minecraft:diamond_leggings",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:chainmail_chestplate",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:48127},Enchantments:[{id:"minecraft:respiration",lvl:3s},{id:"minecraft:thorns",lvl:2s}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:655},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.5},{Name:"generic.attack_damage",Base:14}]}