# Attribute Room (Unlocked at M3)
execute if score Mission Mission matches 1..2 run summon minecraft:armor_stand 43 66.5 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["shop"],CustomName:'{"text":"Complete Mission 3 to","color":"blue","bold":false,"italic":true}'}
execute if score Mission Mission matches 1..2 run summon minecraft:armor_stand 43 66 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["shop"],CustomName:'{"text":"unlock abilities!","color":"blue","bold":false,"italic":true}'}
execute if score Mission Mission matches 3 run clone 39 67 44 39 66 44 39 66 50
execute if score Mission Mission matches 3..11 run fill 42 68 50 42 65 54 minecraft:air destroy
execute if score Mission Mission matches 3..11 run summon minecraft:item 35 66 54 {Tags:["shop"],Age:-32768,PickupDelay:32767,Item:{id:"minecraft:brown_dye",Count:1b}}
execute if score Mission Mission matches 3..11 run summon minecraft:item 35 66 52 {Tags:["shop"],Age:-32768,PickupDelay:32767,Item:{id:"minecraft:pink_dye",Count:1b}}
execute if score Mission Mission matches 3..11 run summon minecraft:item 35 66 50 {Tags:["shop"],Age:-32768,PickupDelay:32767,Item:{id:"minecraft:blue_dye",Count:1b}}

# Health Boost and Attack Damage Mission Restrictions
execute if score Mission Mission matches 3..5 run summon minecraft:armor_stand 36 67.5 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Health","color":"#FF00FF","bold":false,"italic":true}'}
execute if score Mission Mission matches 3..5 run summon minecraft:armor_stand 36 67.25 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Boost I","color":"#FF00FF","bold":false,"italic":true}'}
execute if score Mission Mission matches 3..5 run summon minecraft:armor_stand 36 67 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Unlocks at","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 3..5 run summon minecraft:armor_stand 36 66.75 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Mission 6","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 3..6 run summon minecraft:armor_stand 36 67.5 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Attack","color":"#CF0000","bold":false,"italic":true}'}
execute if score Mission Mission matches 3..6 run summon minecraft:armor_stand 36 67.25 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Damage I","color":"#CF0000","bold":false,"italic":true}'}
execute if score Mission Mission matches 3..6 run summon minecraft:armor_stand 36 67 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Unlocks at","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 3..6 run summon minecraft:armor_stand 36 66.75 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Mission 7","color":"gray","bold":false,"italic":true}'}

# Level 1
execute if score Mission Mission matches 3..11 if score @p AttackSpeed matches 1 run summon minecraft:armor_stand 36 67.5 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Attack","color":"#FF8000","bold":false,"italic":true}'}
execute if score Mission Mission matches 3..11 if score @p AttackSpeed matches 1 run summon minecraft:armor_stand 36 67.25 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Speed I","color":"#FF8000","bold":false,"italic":true}'}
execute if score Mission Mission matches 3..11 if score @p AttackSpeed matches 1 run summon minecraft:armor_stand 36 67 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"12 XP","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 3..11 if score @p AttackSpeed matches 1 run summon minecraft:armor_stand 36 66.75 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Levels","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 6..11 if score @p HealthBoost matches 1 run summon minecraft:armor_stand 36 67.5 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Health","color":"#FF00FF","bold":false,"italic":true}'}
execute if score Mission Mission matches 6..11 if score @p HealthBoost matches 1 run summon minecraft:armor_stand 36 67.25 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Boost I","color":"#FF00FF","bold":false,"italic":true}'}
execute if score Mission Mission matches 6..11 if score @p HealthBoost matches 1 run summon minecraft:armor_stand 36 67 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"15 XP","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 6..11 if score @p HealthBoost matches 1 run summon minecraft:armor_stand 36 66.75 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Levels","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 7..11 if score @p AttackDamage matches 1 run summon minecraft:armor_stand 36 67.5 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Attack","color":"#CF0000","bold":false,"italic":true}'}
execute if score Mission Mission matches 7..11 if score @p AttackDamage matches 1 run summon minecraft:armor_stand 36 67.25 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Damage I","color":"#CF0000","bold":false,"italic":true}'}
execute if score Mission Mission matches 7..11 if score @p AttackDamage matches 1 run summon minecraft:armor_stand 36 67 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"18 XP","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 7..11 if score @p AttackDamage matches 1 run summon minecraft:armor_stand 36 66.75 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Levels","color":"gray","bold":false,"italic":true}'}

# Level 2
execute if score Mission Mission matches 3..11 if score @p AttackSpeed matches 2 run summon minecraft:armor_stand 36 67.5 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Attack","color":"#FF8000","bold":false,"italic":true}'}
execute if score Mission Mission matches 3..11 if score @p AttackSpeed matches 2 run summon minecraft:armor_stand 36 67.25 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Speed II","color":"#FF8000","bold":false,"italic":true}'}
execute if score Mission Mission matches 3..11 if score @p AttackSpeed matches 2 run summon minecraft:armor_stand 36 67 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"15 XP","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 3..11 if score @p AttackSpeed matches 2 run summon minecraft:armor_stand 36 66.75 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Levels","color":"gray","bold":false,"italic":true}'}

execute if score Mission Mission matches ..6 if score @p HealthBoost matches 2 run summon minecraft:armor_stand 36 67.5 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Health","color":"#FF00FF","bold":false,"italic":true}'}
execute if score Mission Mission matches ..6 if score @p HealthBoost matches 2 run summon minecraft:armor_stand 36 67.25 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Boost II","color":"#FF00FF","bold":false,"italic":true}'}
execute if score Mission Mission matches ..6 if score @p HealthBoost matches 2 run summon minecraft:armor_stand 36 67 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Unlocks at","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches ..6 if score @p HealthBoost matches 2 run summon minecraft:armor_stand 36 66.75 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Mission 7","color":"gray","bold":false,"italic":true}'}

execute if score Mission Mission matches 7..11 if score @p HealthBoost matches 2 run summon minecraft:armor_stand 36 67.5 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Health","color":"#FF00FF","bold":false,"italic":true}'}
execute if score Mission Mission matches 7..11 if score @p HealthBoost matches 2 run summon minecraft:armor_stand 36 67.25 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Boost II","color":"#FF00FF","bold":false,"italic":true}'}
execute if score Mission Mission matches 7..11 if score @p HealthBoost matches 2 run summon minecraft:armor_stand 36 67 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"18 XP","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 7..11 if score @p HealthBoost matches 2 run summon minecraft:armor_stand 36 66.75 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Levels","color":"gray","bold":false,"italic":true}'}

execute if score Mission Mission matches ..7 if score @p AttackDamage matches 2 run summon minecraft:armor_stand 36 67.5 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Attack","color":"#CF0000","bold":false,"italic":true}'}
execute if score Mission Mission matches ..7 if score @p AttackDamage matches 2 run summon minecraft:armor_stand 36 67.25 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Damage II","color":"#CF0000","bold":false,"italic":true}'}
execute if score Mission Mission matches ..7 if score @p AttackDamage matches 2 run summon minecraft:armor_stand 36 67 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Unlocks at","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches ..7 if score @p AttackDamage matches 2 run summon minecraft:armor_stand 36 66.75 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Mission 8","color":"gray","bold":false,"italic":true}'}

execute if score Mission Mission matches 8..11 if score @p AttackDamage matches 2 run summon minecraft:armor_stand 36 67.5 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Attack","color":"#CF0000","bold":false,"italic":true}'}
execute if score Mission Mission matches 8..11 if score @p AttackDamage matches 2 run summon minecraft:armor_stand 36 67.25 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Damage II","color":"#CF0000","bold":false,"italic":true}'}
execute if score Mission Mission matches 8..11 if score @p AttackDamage matches 2 run summon minecraft:armor_stand 36 67 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"20 XP","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 8..11 if score @p AttackDamage matches 2 run summon minecraft:armor_stand 36 66.75 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Levels","color":"gray","bold":false,"italic":true}'}

# Level 3
execute if score Mission Mission matches ..3 if score @p AttackSpeed matches 3 run summon minecraft:armor_stand 36 67.5 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Attack","color":"#FF8000","bold":false,"italic":true}'}
execute if score Mission Mission matches ..3 if score @p AttackSpeed matches 3 run summon minecraft:armor_stand 36 67.25 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Speed III","color":"#FF8000","bold":false,"italic":true}'}
execute if score Mission Mission matches ..3 if score @p AttackSpeed matches 3 run summon minecraft:armor_stand 36 67 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Unlocks at","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches ..3 if score @p AttackSpeed matches 3 run summon minecraft:armor_stand 36 66.75 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Mission 4","color":"gray","bold":false,"italic":true}'}

execute if score Mission Mission matches 4..11 if score @p AttackSpeed matches 3 run summon minecraft:armor_stand 36 67.5 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Attack","color":"#FF8000","bold":false,"italic":true}'}
execute if score Mission Mission matches 4..11 if score @p AttackSpeed matches 3 run summon minecraft:armor_stand 36 67.25 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Speed III","color":"#FF8000","bold":false,"italic":true}'}
execute if score Mission Mission matches 4..11 if score @p AttackSpeed matches 3 run summon minecraft:armor_stand 36 67 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"18 XP","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 4..11 if score @p AttackSpeed matches 3 run summon minecraft:armor_stand 36 66.75 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Levels","color":"gray","bold":false,"italic":true}'}

execute if score Mission Mission matches ..8 if score @p HealthBoost matches 3 run summon minecraft:armor_stand 36 67.5 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Health","color":"#FF00FF","bold":false,"italic":true}'}
execute if score Mission Mission matches ..8 if score @p HealthBoost matches 3 run summon minecraft:armor_stand 36 67.25 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Boost III","color":"#FF00FF","bold":false,"italic":true}'}
execute if score Mission Mission matches ..8 if score @p HealthBoost matches 3 run summon minecraft:armor_stand 36 67 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Unlocks at","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches ..8 if score @p HealthBoost matches 3 run summon minecraft:armor_stand 36 66.75 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Mission 9","color":"gray","bold":false,"italic":true}'}

execute if score Mission Mission matches 9..11 if score @p HealthBoost matches 3 run summon minecraft:armor_stand 36 67.5 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Health","color":"#FF00FF","bold":false,"italic":true}'}
execute if score Mission Mission matches 9..11 if score @p HealthBoost matches 3 run summon minecraft:armor_stand 36 67.25 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Boost III","color":"#FF00FF","bold":false,"italic":true}'}
execute if score Mission Mission matches 9..11 if score @p HealthBoost matches 3 run summon minecraft:armor_stand 36 67 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"20 XP","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 9..11 if score @p HealthBoost matches 3 run summon minecraft:armor_stand 36 66.75 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Levels","color":"gray","bold":false,"italic":true}'}

execute if score Mission Mission matches ..8 if score @p AttackDamage matches 3 run summon minecraft:armor_stand 36 67.5 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Attack","color":"#CF0000","bold":false,"italic":true}'}
execute if score Mission Mission matches ..8 if score @p AttackDamage matches 3 run summon minecraft:armor_stand 36 67.25 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Damage III","color":"#CF0000","bold":false,"italic":true}'}
execute if score Mission Mission matches ..8 if score @p AttackDamage matches 3 run summon minecraft:armor_stand 36 67 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Unlocks at","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches ..8 if score @p AttackDamage matches 3 run summon minecraft:armor_stand 36 66.75 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Mission 9","color":"gray","bold":false,"italic":true}'}

execute if score Mission Mission matches 9..11 if score @p AttackDamage matches 3 run summon minecraft:armor_stand 36 67.5 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Attack","color":"#CF0000","bold":false,"italic":true}'}
execute if score Mission Mission matches 9..11 if score @p AttackDamage matches 3 run summon minecraft:armor_stand 36 67.25 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Damage III","color":"#CF0000","bold":false,"italic":true}'}
execute if score Mission Mission matches 9..11 if score @p AttackDamage matches 3 run summon minecraft:armor_stand 36 67 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"25 XP","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 9..11 if score @p AttackDamage matches 3 run summon minecraft:armor_stand 36 66.75 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Levels","color":"gray","bold":false,"italic":true}'}

# Level 4 (Strength, Health Boost Maxed)
execute if score Mission Mission matches ..5 if score @p AttackSpeed matches 4 run summon minecraft:armor_stand 36 67.5 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Attack","color":"#FF8000","bold":false,"italic":true}'}
execute if score Mission Mission matches ..5 if score @p AttackSpeed matches 4 run summon minecraft:armor_stand 36 67.25 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Speed IV","color":"#FF8000","bold":false,"italic":true}'}
execute if score Mission Mission matches ..5 if score @p AttackSpeed matches 4 run summon minecraft:armor_stand 36 67 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Unlocks at","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches ..5 if score @p AttackSpeed matches 4 run summon minecraft:armor_stand 36 66.75 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Mission 6","color":"gray","bold":false,"italic":true}'}

execute if score Mission Mission matches 6..11 if score @p AttackSpeed matches 4 run summon minecraft:armor_stand 36 67.5 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Attack","color":"#FF8000","bold":false,"italic":true}'}
execute if score Mission Mission matches 6..11 if score @p AttackSpeed matches 4 run summon minecraft:armor_stand 36 67.25 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Speed IV","color":"#FF8000","bold":false,"italic":true}'}
execute if score Mission Mission matches 6..11 if score @p AttackSpeed matches 4 run summon minecraft:armor_stand 36 67 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"20 XP","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 6..11 if score @p AttackSpeed matches 4 run summon minecraft:armor_stand 36 66.75 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Levels","color":"gray","bold":false,"italic":true}'}

execute if score Mission Mission matches ..9 if score @p HealthBoost matches 4 run summon minecraft:armor_stand 36 67.5 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Health","color":"#FF00FF","bold":true,"italic":true}'}
execute if score Mission Mission matches ..9 if score @p HealthBoost matches 4 run summon minecraft:armor_stand 36 67.25 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Boost IV","color":"#FF00FF","bold":true,"italic":true}'}
execute if score Mission Mission matches ..9 if score @p HealthBoost matches 4 run summon minecraft:armor_stand 36 67 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Unlocks at","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches ..9 if score @p HealthBoost matches 4 run summon minecraft:armor_stand 36 66.75 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Mission 10","color":"gray","bold":false,"italic":true}'}

execute if score Mission Mission matches 10..11 if score @p HealthBoost matches 4 run summon minecraft:armor_stand 36 67.5 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Health","color":"#FF00FF","bold":true,"italic":true}'}
execute if score Mission Mission matches 10..11 if score @p HealthBoost matches 4 run summon minecraft:armor_stand 36 67.25 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Boost IV","color":"#FF00FF","bold":true,"italic":true}'}
execute if score Mission Mission matches 10..11 if score @p HealthBoost matches 4 run summon minecraft:armor_stand 36 67 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"25 XP","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 10..11 if score @p HealthBoost matches 4 run summon minecraft:armor_stand 36 66.75 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Levels","color":"gray","bold":false,"italic":true}'}

execute if score Mission Mission matches ..9 if score @p AttackDamage matches 4 run summon minecraft:armor_stand 36 67.5 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Attack","color":"#CF0000","bold":true,"italic":true}'}
execute if score Mission Mission matches ..9 if score @p AttackDamage matches 4 run summon minecraft:armor_stand 36 67.25 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Damage IV","color":"#CF0000","bold":true,"italic":true}'}
execute if score Mission Mission matches ..9 if score @p AttackDamage matches 4 run summon minecraft:armor_stand 36 67 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Unlocks at","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches ..9 if score @p AttackDamage matches 4 run summon minecraft:armor_stand 36 66.75 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Mission 10","color":"gray","bold":false,"italic":true}'}

execute if score Mission Mission matches 10..11 if score @p AttackDamage matches 4 run summon minecraft:armor_stand 36 67.5 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Attack","color":"#CF0000","bold":true,"italic":true}'}
execute if score Mission Mission matches 10..11 if score @p AttackDamage matches 4 run summon minecraft:armor_stand 36 67.25 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Damage IV","color":"#CF0000","bold":true,"italic":true}'}
execute if score Mission Mission matches 10..11 if score @p AttackDamage matches 4 run summon minecraft:armor_stand 36 67 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"30 XP","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 10..11 if score @p AttackDamage matches 4 run summon minecraft:armor_stand 36 66.75 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Levels","color":"gray","bold":false,"italic":true}'}

# Level 5 (Everything MAXED)
execute if score Mission Mission matches ..7 if score @p AttackSpeed matches 5 run summon minecraft:armor_stand 36 67.5 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Attack","color":"#FF8000","bold":true,"italic":true}'}
execute if score Mission Mission matches ..7 if score @p AttackSpeed matches 5 run summon minecraft:armor_stand 36 67.25 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Speed V","color":"#FF8000","bold":true,"italic":true}'}
execute if score Mission Mission matches ..7 if score @p AttackSpeed matches 5 run summon minecraft:armor_stand 36 67 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Unlocks at","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches ..7 if score @p AttackSpeed matches 5 run summon minecraft:armor_stand 36 66.75 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Mission 8","color":"gray","bold":false,"italic":true}'}

execute if score Mission Mission matches 8..11 if score @p AttackSpeed matches 5 run summon minecraft:armor_stand 36 67.5 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Attack","color":"#FF8000","bold":true,"italic":true}'}
execute if score Mission Mission matches 8..11 if score @p AttackSpeed matches 5 run summon minecraft:armor_stand 36 67.25 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Speed V","color":"#FF8000","bold":true,"italic":true}'}
execute if score Mission Mission matches 8..11 if score @p AttackSpeed matches 5 run summon minecraft:armor_stand 36 67 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"25 XP","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 8..11 if score @p AttackSpeed matches 5 run summon minecraft:armor_stand 36 66.75 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Levels","color":"gray","bold":false,"italic":true}'}

execute if score Mission Mission matches 6..11 if score @p HealthBoost matches 5 run summon minecraft:armor_stand 36 67.5 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Health","color":"#FF00FF","bold":true,"italic":true}'}
execute if score Mission Mission matches 6..11 if score @p HealthBoost matches 5 run summon minecraft:armor_stand 36 67.25 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Boost IV","color":"#FF00FF","bold":true,"italic":true}'}
execute if score Mission Mission matches 6..11 if score @p HealthBoost matches 5 run summon minecraft:armor_stand 36 67 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Ability","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 6..11 if score @p HealthBoost matches 5 run summon minecraft:armor_stand 36 66.75 52 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["HealthB"],CustomName:'{"text":"Maxed!","color":"gray","bold":false,"italic":true}'}

execute if score Mission Mission matches 7..11 if score @p AttackDamage matches 5 run summon minecraft:armor_stand 36 67.5 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Attack","color":"#CF0000","bold":true,"italic":true}'}
execute if score Mission Mission matches 7..11 if score @p AttackDamage matches 5 run summon minecraft:armor_stand 36 67.25 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Damage IV","color":"#CF0000","bold":true,"italic":true}'}
execute if score Mission Mission matches 7..11 if score @p AttackDamage matches 5 run summon minecraft:armor_stand 36 67 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Ability","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 7..11 if score @p AttackDamage matches 5 run summon minecraft:armor_stand 36 66.75 50 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackD"],CustomName:'{"text":"Maxed!","color":"gray","bold":false,"italic":true}'}

# Level 6 (FULLY MAXED HOLOGRAMS)
execute if score Mission Mission matches 3..11 if score @p AttackSpeed matches 6 run summon minecraft:armor_stand 36 67.5 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Attack","color":"#FF8000","bold":true,"italic":true}'}
execute if score Mission Mission matches 3..11 if score @p AttackSpeed matches 6 run summon minecraft:armor_stand 36 67.25 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Speed V","color":"#FF8000","bold":true,"italic":true}'}
execute if score Mission Mission matches 3..11 if score @p AttackSpeed matches 6 run summon minecraft:armor_stand 36 67 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Ability","color":"gray","bold":false,"italic":true}'}
execute if score Mission Mission matches 3..11 if score @p AttackSpeed matches 6 run summon minecraft:armor_stand 36 66.75 54 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["AttackS"],CustomName:'{"text":"Maxed!","color":"gray","bold":false,"italic":true}'}

# Info
summon minecraft:armor_stand 45 67.5 48 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["shop"],CustomName:'{"text":"Press for more info about","color":"blue","bold":false,"italic":true}'}
summon minecraft:armor_stand 45 67 48 {CustomNameVisible:1b,NoGravity:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,Tags:["shop"],CustomName:'[{"text":"the ","color":"blue","bold":false,"italic":true},{"text":"Ability ","color":"dark_blue","bold":true,"italic":true},{"text":"Room","bold":false,"italic":true}]'}