# Checkpoint
spawnpoint @a -110 1 -159 -90
tellraw @a ["",{"text":"<!> "},{"text":"Checkpoint achieved!","color":"dark_blue"}]
execute as @a at @s run playsound minecraft:entity.player.levelup master @s ~ ~ ~ 100000 0.8
clone -80 7 -156 -81 9 -154 -113 1 -160
gamemode adventure @a

# Objective Book
tellraw @a ["",{"text":"<!> "},{"text":"Objective Book Updated!","italic":true,"color":"blue"}]
clear @a minecraft:written_book{title:"Objective Book",author:"saladbowls"}
give @a written_book{pages:['["",{"text":"Current Objective:","bold":true,"color":"dark_blue"},{"text":"\\n","color":"black"},{"text":"You have found Count Cobble. Defeat him to advance!","italic":true,"color":"blue"}]'],title:"Objective Book",author:saladbowls}
execute as @a at @s run playsound minecraft:block.beacon.power_select master @s ~ ~ ~ 100000 1.8

# Count Cobble Data
execute if score Difficulty Difficulty matches 1 as @e[tag=CountC] run data merge entity @s {Invulnerable:0b,Rotation:[90f,0f],CustomNameVisible:1b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/casual/m1/count_cobble",PersistenceRequired:1b,NoAI:0b,CanPickUpLoot:0b,Health:150f,IsBaby:0b,CanBreakDoors:0b,Tags:["CountC"],CustomName:'{"text":"Count Cobble","color":"dark_red","bold":true,"italic":false}',HandItems:[{id:"minecraft:cobblestone",Count:1b,tag:{Enchantments:[{id:"minecraft:unbreaking",lvl:1s}]}},{id:"minecraft:wooden_axe",Count:1b,tag:{CustomModelData:1101,Enchantments:[{id:"minecraft:unbreaking",lvl:1s}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;441393994,-242797196,-1235764367,-410270419],Slot:"mainhand"}]}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:chainmail_boots",Count:1b,tag:{Enchantments:[{id:"minecraft:unbreaking",lvl:1s}]}},{id:"minecraft:chainmail_leggings",Count:1b,tag:{Enchantments:[{id:"minecraft:unbreaking",lvl:1s}]}},{id:"minecraft:chainmail_chestplate",Count:1b,tag:{Enchantments:[{id:"minecraft:unbreaking",lvl:1s}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:2697513},Enchantments:[{id:"minecraft:unbreaking",lvl:1s}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:150},{Name:"generic.follow_range",Base:16},{Name:"generic.knockback_resistance",Base:0.25},{Name:"generic.attack_damage",Base:4}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=CountC] run data merge entity @s {Invulnerable:0b,Rotation:[90f,0f],CustomNameVisible:1b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/normal/m1/count_cobble",PersistenceRequired:1b,NoAI:0b,CanPickUpLoot:0b,Health:200f,IsBaby:0b,CanBreakDoors:0b,Tags:["CountC"],CustomName:'{"text":"Count Cobble","color":"dark_red","bold":true,"italic":false}',HandItems:[{id:"minecraft:cobblestone",Count:1b,tag:{Enchantments:[{id:"minecraft:unbreaking",lvl:1s}]}},{id:"minecraft:wooden_axe",Count:1b,tag:{CustomModelData:1101,Enchantments:[{id:"minecraft:unbreaking",lvl:1s}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;441393995,-242797195,-1235764365,-410270415],Slot:"mainhand"}]}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:chainmail_boots",Count:1b,tag:{Enchantments:[{id:"minecraft:unbreaking",lvl:1s}]}},{id:"minecraft:chainmail_leggings",Count:1b,tag:{Enchantments:[{id:"minecraft:unbreaking",lvl:1s}]}},{id:"minecraft:chainmail_chestplate",Count:1b,tag:{Enchantments:[{id:"minecraft:unbreaking",lvl:1s}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:2697513},Enchantments:[{id:"minecraft:unbreaking",lvl:1s}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:200},{Name:"generic.follow_range",Base:16},{Name:"generic.knockback_resistance",Base:0.3},{Name:"generic.attack_damage",Base:5}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=CountC] run data merge entity @s {Invulnerable:0b,Rotation:[90f,0f],CustomNameVisible:1b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/insane/m1/count_cobble",PersistenceRequired:1b,NoAI:0b,CanPickUpLoot:0b,Health:250f,IsBaby:0b,CanBreakDoors:0b,Tags:["CountC"],CustomName:'{"text":"Count Cobble","color":"dark_red","bold":true,"italic":false}',HandItems:[{id:"minecraft:cobblestone",Count:1b,tag:{Enchantments:[{id:"minecraft:unbreaking",lvl:1s}]}},{id:"minecraft:wooden_axe",Count:1b,tag:{CustomModelData:1101,Enchantments:[{id:"minecraft:unbreaking",lvl:1s}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;421393994,-222797196,-1435764367,-420270419],Slot:"mainhand"}]}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:chainmail_boots",Count:1b,tag:{Enchantments:[{id:"minecraft:unbreaking",lvl:1s}]}},{id:"minecraft:chainmail_leggings",Count:1b,tag:{Enchantments:[{id:"minecraft:unbreaking",lvl:1s}]}},{id:"minecraft:chainmail_chestplate",Count:1b,tag:{Enchantments:[{id:"minecraft:unbreaking",lvl:1s}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:2697513},Enchantments:[{id:"minecraft:unbreaking",lvl:1s}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:250},{Name:"generic.follow_range",Base:16},{Name:"generic.knockback_resistance",Base:0.35},{Name:"generic.attack_damage",Base:6}]}
setblock -80 7 -159 minecraft:redstone_wire replace
bossbar set minecraft:countc players @a
bossbar set minecraft:countc visible true
data merge block -77 7 -153 {auto:0}
data merge block -82 7 -148 {auto:1}
data merge block -82 7 -152 {auto:1}
data merge block -82 9 -152 {auto:1}
data merge block -82 7 -146 {auto:1}
schedule function lily:m1/boss_ability 10s