# welcome to the NEW and IMPROVED way of doing boss timers
# this is like way more efficient than using a million repeating blocks
# THE MORE YOU KNOW!!!

# boss timer for abilities
scoreboard players add timer M10Boss 1

# PHASE 1

# PHASE 1 ABILITIES - ascends and can fire firework lasers, summon aoe clouds on you, can randomly tp giving blindness

execute if score timer M10Boss matches 100 if score phase M10Boss matches 1 run function lily:m10/boss_laser_prepare
execute if score timer M10Boss matches 300 if score phase M10Boss matches 1 run function lily:m10/boss_aoe_attack
execute if score timer M10Boss matches 500 if score phase M10Boss matches 1 run function lily:m10/boss_blindness_tp
execute if score timer M10Boss matches 600 if score phase M10Boss matches 1 run scoreboard players set timer M10Boss 0

# PHASE 2

# PHASE 2 ABILITIES - same as p1, fireball spam, magic charges, passive regen, minions
execute if score phase M10Boss matches 2..3 run function lily:m10/boss_passive_heal
execute if score phase M10Boss matches 2..4 as @e[type=marker,tag=magic_charge] at @s run function lily:m10/boss_magic_charges_mechanic
execute if score phase M10Boss matches 2 if score Difficulty Difficulty matches 3 as @e[type=illusioner,tag=Ill] at @s run effect give @s minecraft:resistance infinite 0 true 

execute if score timer M10Boss matches 60 if score phase M10Boss matches 2 run function lily:m10/boss_aoe_attack
execute if score timer M10Boss matches 200 if score phase M10Boss matches 2 run function lily:m10/boss_magic_charges
execute if score timer M10Boss matches 300 if score phase M10Boss matches 2 run function lily:m10/boss_laser_prepare
execute if score timer M10Boss matches 500 if score phase M10Boss matches 2 as @e[type=illusioner,tag=Ill] at @s run function lily:m10/boss_minions
execute if score timer M10Boss matches 700 if score phase M10Boss matches 2 run function lily:m10/boss_fireball_spam_prepare
execute if score timer M10Boss matches 860 if score phase M10Boss matches 2 run function lily:m10/boss_blindness_tp
execute if score timer M10Boss matches 900 if score phase M10Boss matches 2 run scoreboard players set timer M10Boss 0

# PHASE 3

# PHASE 3 ABILITIES - same as p1-p2, different order, tad bit faster
execute if score phase M10Boss matches 3..4 if score Difficulty Difficulty matches 1 as @e[type=illusioner,tag=Ill] at @s run effect give @s minecraft:resistance infinite 0 true 
execute if score phase M10Boss matches 3..4 if score Difficulty Difficulty matches 2..3 as @e[type=illusioner,tag=Ill] at @s run effect give @s minecraft:resistance infinite 1 true 

execute if score timer M10Boss matches 60 if score phase M10Boss matches 3 run function lily:m10/boss_magic_charges
execute if score timer M10Boss matches 160 if score phase M10Boss matches 3 run function lily:m10/boss_blindness_tp
execute if score timer M10Boss matches 300 if score phase M10Boss matches 3 run function lily:m10/boss_fireball_spam_prepare
execute if score timer M10Boss matches 460 if score phase M10Boss matches 3 run function lily:m10/boss_aoe_attack
execute if score timer M10Boss matches 560 if score phase M10Boss matches 3 as @e[type=illusioner,tag=Ill] at @s run function lily:m10/boss_minions
execute if score timer M10Boss matches 700 if score phase M10Boss matches 3 run function lily:m10/boss_laser_prepare
execute if score timer M10Boss matches 800 if score phase M10Boss matches 3 run scoreboard players set timer M10Boss 0

# PHASE 4

# PHASE 4 ABILITIES - certain abilities from p1-p2, insta-kill spell, frenzy tp, random chance of telekinetic grip that you cant get out of
execute if score phase M10Boss matches 4 if score telekinetic M10Boss matches 0 run function lily:m10/boss_telekinetic_grip_timer
execute if score phase M10Boss matches 4 if score telekinetic M10Boss matches 1 as @p at @s run function lily:m10/boss_telekinetic_grip_particles

execute if score timer M10Boss matches 60 if score phase M10Boss matches 4 run function lily:m10/boss_fireball_spam_prepare
execute if score timer M10Boss matches 200 if score phase M10Boss matches 4 run function lily:m10/boss_instakill_prepare
execute if score timer M10Boss matches 340 if score phase M10Boss matches 4 run function lily:m10/boss_aoe_attack
execute if score timer M10Boss matches 500 if score phase M10Boss matches 4 run function lily:m10/boss_magic_charges
execute if score timer M10Boss matches 600 if score phase M10Boss matches 4 run function lily:m10/boss_frenzy_tp_prepare
execute if score timer M10Boss matches 800 if score phase M10Boss matches 3 run function lily:m10/boss_laser_prepare
execute if score timer M10Boss matches 900 if score phase M10Boss matches 4 run scoreboard players set timer M10Boss 0

execute as @e[type=illusioner,tag=Ill] if score health M10Boss matches ..100 run effect give @s resistance 1 3 true

# BOSSBAR FUNCTIONS
function lily:m10/bossbar_functions