# THIS CONTROLS ALL OF THE DUO'S ABILITIES
# THIS IS PHASE 1 OF BOSS'S MAIN PHASE 2

scoreboard players add duo_timer boss 1

# PILL PHASE 1 ABILITIES - levitation spell, boneballs, stasis
# ILL PHASE 1 ABILITIES - random tps blinding you, magic charges, insta-tp

# applies resistance to different difficulty levels
execute if score Difficulty Difficulty matches 1..3 as @e[type=pillager,tag=pill] at @s run effect give @s resistance infinite 3 true

execute if score Difficulty Difficulty matches 1..3 as @e[type=illusioner,tag=ill] at @s run effect give @s resistance infinite 3 true

execute if score i_phase boss matches 1 as @e[type=marker,tag=magic_charge] at @s run function lily:m11/boss_duo_magic_charges_mechanic
execute if score duo_timer boss matches 100 if score p_phase boss matches 1 run function lily:m11/boss_duo_levitation
execute if score duo_timer boss matches 260 if score i_phase boss matches 1 run function lily:m11/boss_duo_random_tp
execute if score duo_timer boss matches 400 if score p_phase boss matches 1 run function lily:m11/boss_duo_boneballs_prepare
execute if score duo_timer boss matches 600 if score i_phase boss matches 1 run function lily:m11/boss_duo_magic_charges
execute if score duo_timer boss matches 700 if score p_phase boss matches 1 run function lily:m11/boss_duo_stasis
execute if score duo_timer boss matches 760 if score i_phase boss matches 1 run function lily:m11/boss_duo_insta_tp_prepare
execute if score duo_timer boss matches 860 if score p_phase boss matches 1 if score i_phase boss matches 1 run scoreboard players set duo_timer boss 0

# PILL PHASE 2 ABILITIES - minions, mach 5 tp, boneballs, levitation
# ILL PHASE 2 ABILITIES - instakill spell, mach 5 tp, aoe attack,

execute if score duo_timer boss matches 100 if score p_phase boss matches 2 as @e[type=pillager,tag=pill] at @s run function lily:m11/boss_duo_minions
execute if score duo_timer boss matches 300 if score i_phase boss matches 2 run function lily:m11/boss_duo_instakill_prepare
execute if score duo_timer boss matches 560 if score p_phase boss matches 2 if score i_phase boss matches 2 run function lily:m11/boss_duo_mach5_tp_prepare
execute if score duo_timer boss matches 700 if score p_phase boss matches 2 run function lily:m11/boss_duo_boneballs_prepare
execute if score duo_timer boss matches 840 if score i_phase boss matches 2 run function lily:m11/boss_duo_aoe_attack
execute if score duo_timer boss matches 980 if score p_phase boss matches 2 run function lily:m11/boss_duo_levitation
execute if score duo_timer boss matches 1180 run scoreboard players set duo_timer boss 0

# check health for bossbar
execute store result bossbar pill value as @e[type=pillager,tag=pill,limit=1] run data get entity @s Health
execute store result bossbar ill value as @e[type=illusioner,tag=ill,limit=1] run data get entity @s Health

# stores health for phase changes
execute store result score pill_health boss as @e[type=pillager,tag=pill,limit=1] run data get entity @s Health
execute store result score ill_health boss as @e[type=illusioner,tag=ill,limit=1] run data get entity @s Health

# HEALTH PHASE CHECKERS
# PHASE 1 -> PHASE 2
execute if score Difficulty Difficulty matches 1 if score p_phase boss matches 1 if score pill_health boss matches ..125 run function lily:m11/boss_duo_phase2_entry_p
execute if score Difficulty Difficulty matches 2 if score p_phase boss matches 1 if score pill_health boss matches ..150 run function lily:m11/boss_duo_phase2_entry_p
execute if score Difficulty Difficulty matches 3 if score p_phase boss matches 1 if score pill_health boss matches ..180 run function lily:m11/boss_duo_phase2_entry_p

execute if score Difficulty Difficulty matches 1 if score i_phase boss matches 1 if score ill_health boss matches ..125 run function lily:m11/boss_duo_phase2_entry_i
execute if score Difficulty Difficulty matches 2 if score i_phase boss matches 1 if score ill_health boss matches ..150 run function lily:m11/boss_duo_phase2_entry_i
execute if score Difficulty Difficulty matches 3 if score i_phase boss matches 1 if score ill_health boss matches ..180 run function lily:m11/boss_duo_phase2_entry_i

# CHECKS FOR WHEN DEAD
execute unless entity @e[type=pillager,tag=pill] run setblock 2790 38 -276 redstone_block replace
execute unless entity @e[type=illusioner,tag=ill] run setblock 2792 38 -276 redstone_block replace

execute if score duo_dead boss matches 2 run function lily:m11/cs3_start