# Cutscene End
kill @e[type=area_effect_cloud,tag=cutscene]
data merge block 286 2 -450 {auto:0}
scoreboard players reset @a Pan
scoreboard players set @a CameraID 0
tag @a remove player

# Objective Book/Gamemode/Data
gamemode adventure @a
tellraw @a ["",{"text":"<!> "},{"text":"Objective Book Updated!","italic":true,"color":"blue"}]
clear @a minecraft:written_book{title:"Objective Book",author:"saladbowls"}
give @a written_book{pages:['["",{"text":"Current Objective:","bold":true,"color":"dark_blue"},{"text":"\\n","color":"black"},{"text":"You have found Netheritis and he seems to have turned on you. Defeat him to advance!","italic":true,"color":"blue"}]'],title:"Objective Book",author:saladbowls}
execute as @a at @s run playsound minecraft:block.beacon.power_select master @s ~ ~ ~ 100000 1.8
bossbar set minecraft:netheritis visible true
bossbar set minecraft:netheritis players @a
setblock 275 2 -443 minecraft:redstone_wire replace

# Netheritis Data
execute if score Difficulty Difficulty matches 1 as @e[tag=Netheritis] run data merge entity @s {CustomNameVisible:0b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/misc/m4/netheritis",PersistenceRequired:1b,CanPickUpLoot:0b,Health:315f,Tags:["Netheritis"],CustomName:'{"text":"Netheritis","bold":true}',HandItems:[{id:"minecraft:netherite_sword",Count:1b,tag:{Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;641234794,-666117966,-133434444,-442326511]}]}},{id:"minecraft:netherite_axe",Count:1b,tag:{AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;613454794,-661417966,-133431444,-442321511]}]}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:1s}]}},{id:"minecraft:netherite_helmet",Count:1b}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:315},{Name:"generic.knockback_resistance",Base:0.2},{Name:"generic.attack_damage",Base:8}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=Netheritis] run data merge entity @s {CustomNameVisible:0b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/misc/m4/netheritis",PersistenceRequired:1b,CanPickUpLoot:0b,Health:420f,Tags:["Netheritis"],CustomName:'{"text":"Netheritis","bold":true}',HandItems:[{id:"minecraft:netherite_sword",Count:1b,tag:{Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;641444494,-666157966,-133433454,-442312511]}]}},{id:"minecraft:netherite_axe",Count:1b,tag:{AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;123454794,-661111966,-133456144,-444521511]}]}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:1s}]}},{id:"minecraft:netherite_helmet",Count:1b}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:420},{Name:"generic.knockback_resistance",Base:0.25},{Name:"generic.attack_damage",Base:9}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=Netheritis] run data merge entity @s {CustomNameVisible:0b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/misc/m4/netheritis",PersistenceRequired:1b,CanPickUpLoot:0b,Health:525f,Tags:["Netheritis"],CustomName:'{"text":"Netheritis","bold":true}',HandItems:[{id:"minecraft:netherite_sword",Count:1b,tag:{Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;611234794,-666155667,-125634444,-442346511]}]}},{id:"minecraft:netherite_axe",Count:1b,tag:{AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;613411794,-661488966,-133777444,-442116511]}]}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b,tag:{Enchantments:[{id:"minecraft:thorns",lvl:1s}]}},{id:"minecraft:netherite_helmet",Count:1b}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:525},{Name:"generic.knockback_resistance",Base:0.3},{Name:"generic.attack_damage",Base:10}]}

# Activate all timers
data merge block 288 2 -450 {auto:1}
data merge block 290 2 -450 {auto:1}
data merge block 290 4 -450 {auto:1}
data merge block 290 6 -450 {auto:1}
data merge block 290 8 -450 {auto:1}
data merge block 288 8 -450 {auto:1}
data merge block 286 5 -450 {auto:1}
data merge block 288 5 -450 {auto:1}
data merge block 280 2 -450 {auto:1}