# Cutscene End
kill @e[type=area_effect_cloud,tag=cutscene]
data merge block 469 18 -211 {auto:0}
data merge block 469 18 -209 {auto:0}
scoreboard players reset @a Pan
scoreboard players set @a CameraID 0
tag @a remove player

# setup phase 3
tp @a 449 30 -231 ~ ~

scoreboard players set guard_count M6BossAbility 6
scoreboard players set phase M6BossAbility 3
data merge block 479 18 -208 {auto:1}

execute if score Difficulty Difficulty matches 1 run bossbar set minecraft:wirelessia max 140
execute if score Difficulty Difficulty matches 2 run bossbar set minecraft:wirelessia max 170
execute if score Difficulty Difficulty matches 3 run bossbar set minecraft:wirelessia max 200

execute as @a at @s run playsound minecraft:block.beacon.activate master @s ~ ~ ~ 1 1

bossbar set minecraft:wirelessia visible true
bossbar set minecraft:wirelessia players @a

bossbar set forcefield name [{"text":"Forcefield Effectiveness: ","color":"dark_aqua"},{"text":"100%","color":"green"}]
bossbar set forcefield visible true
bossbar set forcefield players @a
bossbar set forcefield max 600

tellraw @a ["",{"text":"["},{"text":"Netheritis","color":"dark_green"},{"text":"] With more of those "},{"text":"Electric","color":"dark_blue"},{"text":" Force","color":"blue"},{"text":" Guards","color":"dark_aqua"},{"text":", she will now have a forcefield around her that activates periodically. Kill those "},{"text":"Electric","color":"dark_blue"},{"text":" Force","color":"blue"},{"text":" Guards","color":"dark_aqua"},{"text":" to lower the amount of time her forcefield is up!"}]

# Objective Book/Gamemode
gamemode adventure @a
tellraw @a ["",{"text":"<!> "},{"text":"Objective Book Updated!","italic":true,"color":"blue"}]
clear @a minecraft:written_book{title:"Objective Book",author:"saladbowls"}
give @a written_book{pages:['["",{"text":"Current Objective:","bold":true,"color":"dark_blue"},{"text":"\\n","color":"black"},{"text":"You have encountered Wirelessia, the warden of the Wirestone Enclosure. Defeat her to escape the enclosure!","italic":true,"color":"blue"}]'],title:"Objective Book",author:saladbowls}
execute as @a at @s run playsound minecraft:block.beacon.power_select master @s ~ ~ ~ 100000 1.8

# Wirelessia Data 
execute if score Difficulty Difficulty matches 1 as @e[tag=wire] run data merge entity @s {Rotation:[180f,0f],NoAI:0b,Invulnerable:0b,NoGravity:0,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/casual/m6/wirelessia",PersistenceRequired:1b,Health:140f,Tags:["wire"],CustomName:'{"text":"Wirelessia","bold":true,"italic":false}',HandItems:[{id:"minecraft:carrot_on_a_stick",Count:1,tag:{CustomModelData:1104}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:93},Enchantments:[{}]}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:93},Enchantments:[{}]}},{id:"minecraft:iron_chestplate",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:93},Enchantments:[{}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:140},{Name:"generic.follow_range",Base:32},{Name:"generic.knockback_resistance",Base:0.4},{Name:"generic.attack_damage",Base:10}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=wire] run data merge entity @s {Rotation:[180f,0f],NoAI:0b,Invulnerable:0b,NoGravity:0,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/normal/m6/wirelessia",PersistenceRequired:1b,Health:170f,Tags:["wire"],CustomName:'{"text":"Wirelessia","bold":true,"italic":false}',HandItems:[{id:"minecraft:carrot_on_a_stick",Count:1,tag:{CustomModelData:1104}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:93},Enchantments:[{}]}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:93},Enchantments:[{}]}},{id:"minecraft:iron_chestplate",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:93},Enchantments:[{}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:170},{Name:"generic.follow_range",Base:32},{Name:"generic.knockback_resistance",Base:0.45},{Name:"generic.attack_damage",Base:11}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=wire] run data merge entity @s {Rotation:[180f,0f],NoAI:0b,Invulnerable:0b,NoGravity:0,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/insane/m6/wirelessia",PersistenceRequired:1b,Health:200f,Tags:["wire"],CustomName:'{"text":"Wirelessia","bold":true,"italic":false}',HandItems:[{id:"minecraft:carrot_on_a_stick",Count:1,tag:{CustomModelData:1104}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:93},Enchantments:[{}]}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:93},Enchantments:[{}]}},{id:"minecraft:iron_chestplate",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:93},Enchantments:[{}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:200},{Name:"generic.follow_range",Base:32},{Name:"generic.knockback_resistance",Base:0.5},{Name:"generic.attack_damage",Base:12}]}

# Electric Force Guard (Blue) Data
execute as @e[tag=EFGBLUE] run data merge entity @s {Rotation:[180f,0f],Silent:1b,Invulnerable:0b,Glowing:1b,Team:"m6blue",DeathLootTable:"minecraft:empty",PersistenceRequired:1b,NoAI:1b,Health:80f,IsBaby:0b,CanBreakDoors:0b,Tags:["fg_blue","force_guard"],CustomName:'{"text":"Electric Force Guardian","bold":false,"italic":false}',ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:1139},Enchantments:[{id:"minecraft:thorns",lvl:2s}]}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:1139},Enchantments:[{id:"minecraft:thorns",lvl:2s}]}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:1139},Enchantments:[{id:"minecraft:thorns",lvl:2s}]}},{id:"minecraft:blue_stained_glass",Count:1b}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],active_effects:[{id:"minecraft:invisibility",amplifier:1b,duration:2000000,show_particles:0b}],Attributes:[{Name:"generic.max_health",Base:80},{Name:"generic.follow_range",Base:16},{Name:"generic.knockback_resistance",Base:1},{Name:"generic.movement_speed",Base:0},{Name:"generic.attack_damage",Base:0},{Name:"zombie.spawn_reinforcements",Base:0}]}

# Electric Force Guard (Light Blue) Data
execute as @e[tag=EFGLBLUE] run data merge entity @s {Rotation:[180f,0f],Silent:1b,Invulnerable:0b,Glowing:1b,Team:"m6lightblue",DeathLootTable:"minecraft:empty",PersistenceRequired:1b,NoAI:1b,Health:100f,IsBaby:0b,CanBreakDoors:0b,Tags:["fg_lblue","force_guard"],CustomName:'{"text":"Electric Force Guardian","bold":false,"italic":false}',ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:32455},Enchantments:[{id:"minecraft:thorns",lvl:4s}]}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:32455},Enchantments:[{id:"minecraft:thorns",lvl:4s}]}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:32455},Enchantments:[{id:"minecraft:thorns",lvl:4s}]}},{id:"minecraft:light_blue_stained_glass",Count:1b}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],active_effects:[{id:"minecraft:invisibility",amplifier:1b,duration:2000000,show_particles:0b}],Attributes:[{Name:"generic.max_health",Base:100},{Name:"generic.follow_range",Base:16},{Name:"generic.knockback_resistance",Base:1},{Name:"generic.movement_speed",Base:0},{Name:"generic.attack_damage",Base:0},{Name:"zombie.spawn_reinforcements",Base:0}]}

# Electric Force Guard (Cyan) Data
execute as @e[tag=EFGCYAN] run data merge entity @s {Rotation:[180f,0f],Silent:1b,Invulnerable:0b,Glowing:1b,Team:"m6cyan",DeathLootTable:"minecraft:empty",PersistenceRequired:1b,NoAI:1b,Health:120f,IsBaby:0b,CanBreakDoors:0b,Tags:["fg_cyan","force_guard"],CustomName:'{"text":"Electric Force Guardian","bold":false,"italic":false}',ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:40076},Enchantments:[{id:"minecraft:thorns",lvl:5s}]}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:40076},Enchantments:[{id:"minecraft:thorns",lvl:5s}]}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:40076},Enchantments:[{id:"minecraft:thorns",lvl:5s}]}},{id:"minecraft:cyan_stained_glass",Count:1b}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],active_effects:[{id:"minecraft:invisibility",amplifier:1b,duration:2000000,show_particles:0b}],Attributes:[{Name:"generic.max_health",Base:120},{Name:"generic.follow_range",Base:16},{Name:"generic.knockback_resistance",Base:1},{Name:"generic.movement_speed",Base:0},{Name:"generic.attack_damage",Base:0},{Name:"zombie.spawn_reinforcements",Base:0}]}