# detects what layer you are on

# L O R E - 1st section
execute if score @s M9Layer matches 1 run tellraw @s ["",{"text":"["},{"text":"Corrupted Layer Device","color":"#2C006E"},{"text":"] "},{"text":"Layer 1","bold":true},{"text":" is the base layer of the "},{"text":"Void","bold":true,"color":"dark_gray"},{"text":". It acts like a "},{"text":"central hub","color":"yellow"},{"text":" to access the many different "},{"text":"layers","color":"aqua"},{"text":" of the "},{"text":"Void","bold":true,"color":"dark_gray"},{"text":"."}]
execute if score @s M9Layer matches 2 run tellraw @s ["",{"text":"["},{"text":"Corrupted Layer Device","color":"#2C006E"},{"text":"] "},{"text":"Layer 2 ","bold":true},{"text":"of the "},{"text":"Void","bold":true,"color":"dark_gray"},{"text":" is a small layer that acts as a "},{"text":"primary gateway","color":"yellow"},{"text":" to "},{"text":"negative layers","color":"dark_red"},{"text":", which are extremely dangerous."}]
execute if score @s M9Layer matches 3 run tellraw @s ["",{"text":"["},{"text":"Corrupted Layer Device","color":"#2C006E"},{"text":"] "},{"text":"Layer 3 ","bold":true},{"text":"of the "},{"text":"Void","bold":true,"color":"dark_gray"},{"text":" is one of the highest "},{"text":"layers","color":"aqua"},{"text":" in the "},{"text":"Void","bold":true,"color":"dark_gray"},{"text":". It can replicate amplified "},{"text":"Overworld","color":"green"},{"text":" terrain and is the only layer where "},{"text":"Layer 4","color":"gray"},{"text":" can be accessed, which is the layer that sits right below the "},{"text":"Overworld","color":"green"},{"text":"."}]
execute if score @s M9Layer matches 4 run tellraw @s ["",{"text":"["},{"text":"Corrupted Layer Device","color":"#2C006E"},{"text":"] "},{"text":"Layer 4 ","bold":true},{"text":"is the highest layer that exists in the "},{"text":"Void","bold":true,"color":"dark_gray"},{"text":". It is considered a \""},{"text":"safe haven","color":"dark_green"},{"text":"\" for all types of "},{"text":"Void","bold":true,"color":"dark_gray"},{"text":" entities. It is also one of the most "},{"text":"enormous layers","color":"aqua"},{"text":" that have been discovered."}]

execute if score @s M9Layer matches -1 run tellraw @s ["",{"text":"["},{"text":"Corrupted Layer Device","color":"#2C006E"},{"text":"] "},{"text":"Layer -1 ","bold":true},{"text":"is the first discovered layer of the "},{"text":"Void","bold":true,"color":"dark_gray"},{"text":" that sits below "},{"text":"Layer 1","color":"gray"},{"text":". This "},{"text":"negative layer","color":"dark_red"},{"text":" is completely devoid of any "},{"text":"plant forms","color":"dark_green"},{"text":" and only houses "},{"text":"Void","bold":true,"color":"dark_gray"},{"text":" entities that were foolish enough to live here."}]
execute if score @s M9Layer matches -2 run tellraw @s ["",{"text":"["},{"text":"Corrupted Layer Device","color":"#2C006E"},{"text":"] "},{"text":"Layer -2 ","bold":true},{"text":"is very similar to "},{"text":"Layer 2","color":"gray"},{"text":" of the "},{"text":"Void","bold":true,"color":"dark_gray"},{"text":". As well as being a small layer, it also acts as a "},{"text":"primary gateway","color":"yellow"},{"text":" to "},{"text":"normal","color":"dark_green"},{"text":" and "},{"text":"negative","color":"dark_red"},{"text":" layers","color":"aqua"},{"text":"."}]
execute if score @s M9Layer matches -3 run tellraw @s ["",{"text":"["},{"text":"Corrupted Layer Device","color":"#2C006E"},{"text":"] "},{"text":"Layer -3 ","bold":true},{"text":"was thought to be the lowest layer in the "},{"text":"Void","bold":true,"color":"dark_gray"},{"text":". It is nearly completely devoid of anything "},{"text":"living","color":"green"},{"text":". At this point, you cannot return to "},{"text":"normal layers","color":"dark_green"},{"text":". "},{"text":"Proceed with caution.","bold":true,"color":"dark_red"}]
execute if score @s M9Layer matches -4 run tellraw @s ["",{"text":"["},{"text":"Corrupted Layer Device","color":"#2C006E"},{"text":"] "},{"text":"Layer -4 ","bold":true},{"text":"is the current "},{"text":"lowest layer","color":"dark_gray"},{"text":" discovered. It is incredibly tiny and cramped. "},{"text":"Ancient writing","color":"gold"},{"text":" found on this layer states that if you make too much "},{"text":"noise","color":"dark_aqua"},{"text":", you should consider your final words... "},{"text":"PROCEED WITH YOUR UTMOST CAUTION WHEN TRAVERSING THIS LAYER.","bold":true,"color":"dark_red"}]
execute if score @s M9Layer matches -5 run function lily:m9/layer_detection_5

# L O R E PART 2 - frozen void section
execute if score @s M9Layer matches 50 run tellraw @s ["",{"text":"["},{"text":"Corrupted Layer Device","color":"#2C006E"},{"text":"] "},{"text":"Layer FVZ-1 ","bold":true},{"text":"is a subset of the standard "},{"text":"Void","bold":true,"color":"dark_gray"},{"text":" layers. It consists of a replicated "},{"text":"snowy taiga biome","color":"aqua"},{"text":" from the "},{"text":"Overworld","color":"green"},{"text":", except that it's filled with "},{"text":"soul campfires","color":"dark_aqua"},{"text":". You will quickly "},{"text":"freeze","color":"aqua"},{"text":" to death if you do not stay near these "},{"text":"soul campfires","color":"dark_aqua"},{"text":"."}]

execute if score @s M9Layer matches 51 run tellraw @s ["",{"text":"["},{"text":"Corrupted Layer Device","color":"#2C006E"},{"text":"] "},{"text":"Layer FVR-3 ","bold":true},{"text":"is considered a \"subset\" of the "},{"text":"Frozen Void","color":"dark_aqua"},{"text":". The "},{"text":"Frozen Void","color":"dark_aqua"},{"text":" acts strangely with subsets. Instead of separating them by "},{"text":"portals","color":"dark_purple"},{"text":", they are attached next to each other. This subset consists of an entirely frozen-over "},{"text":"corrupt ","color":"dark_gray"},{"text":"ice river","color":"aqua"},{"text":"."}]

execute if score @s M9Layer matches 52 run tellraw @s ["",{"text":"["},{"text":"Corrupted Layer Device","color":"#2C006E"},{"text":"] "},{"text":"Layer FVI-2 ","bold":true},{"text":"is the third subset discovered in the "},{"text":"Frozen Void","color":"dark_aqua"},{"text":". It is unknown if other Frozen Void subsets exist after this. The terrain replicates an "},{"text":"ice spikes biome","color":"aqua"},{"text":" from the "},{"text":"Overworld","color":"green"},{"text":" and is home to many "},{"text":"Frozen Void","color":"dark_aqua"},{"text":" entities."}]

# RRRRRRRRRRRRRRRRRROUND 3 L O R E - desert void section
execute if score @s M9Layer matches 99 run function lily:m9/layer_detection_desert_cave
execute if score @s M9Layer matches 70 run tellraw @s ["",{"text":"["},{"text":"Corrupted Layer Device","color":"#2C006E"},{"text":"] "},{"text":"Layer DV-1 ","bold":true},{"text":"was the first layer discovered beyond the "},{"text":"Frozen Void","color":"dark_aqua"},{"text":". Whether it is a subset of the "},{"text":"normal layers","color":"dark_green"},{"text":" or "},{"text":"Frozen Void","color":"dark_aqua"},{"text":" is heavily debated. It seems to resemble a small "},{"text":"desert","color":"yellow"},{"text":" cave from the "},{"text":"Overworld","color":"green"},{"text":"."}]

execute if score @s M9Layer matches 71 run tellraw @s ["",{"text":"["},{"text":"Corrupted Layer Device","color":"#2C006E"},{"text":"] "},{"text":"Layer DSVL-420","bold":true},{"text":" is the lower section of the "},{"text":"Deserted Voidlands","color":"gold"},{"text":". The "},{"text":"Deserted Voidlands","color":"gold"},{"text":", similar to the "},{"text":"Frozen Void","color":"dark_aqua"},{"text":", treats subsets differently. It's comprised of a lower and higher subset "},{"text":"connected","color":"dark_blue"},{"text":" almost seamlessly vertically."}]
execute if score @s M9Layer matches 72 run tellraw @s ["",{"text":"["},{"text":"Corrupted Layer Device","color":"#2C006E"},{"text":"] "},{"text":"Layer DSVH-69","bold":true},{"text":" is the upper part of the "},{"text":"Deserted Voidlands","color":"gold"},{"text":". The "},{"text":"corrupt sand","color":"dark_gray"},{"text":" here is much brighter, signifying it might be closer to the "},{"text":"Overworld","color":"green"},{"text":", similar to "},{"text":"Layer 4","color":"gray"},{"text":". "}]

playsound minecraft:entity.experience_orb.pickup master @s ~ ~ ~ 10000 0.9
scoreboard players set @s layer_device_cd 20