# Cutscene End
kill @e[type=area_effect_cloud,tag=cutscene]
data merge block 639 24 106 {auto:0}
scoreboard players reset @a Pan
scoreboard players set @a CameraID 0
tag @a remove player

# Objective Book/Gamemode
gamemode adventure @a
tellraw @a ["",{"text":"<!> "},{"text":"Objective Book Updated!","italic":true,"color":"blue"}]
clear @a minecraft:written_book{title:"Objective Book",author:"saladbowls"}
give @a written_book{pages:['["",{"text":"Current Objective:","bold":true,"color":"dark_blue"},{"text":"\\n","color":"black"},{"text":"You have encountered Dragonne while trying to escape from this weird place. Defeat him to escape!","italic":true,"color":"blue"}]'],title:"Objective Book",author:saladbowls}
execute as @a at @s run playsound minecraft:block.beacon.power_select master @s ~ ~ ~ 100000 1.8

# Ready... FIGHT!
bossbar set minecraft:dragonne visible true
bossbar set minecraft:dragonne players @a
scoreboard players set @a SM2Phase 1
scoreboard players set @a SM2BossAbility 0
data merge block 632 24 106 {auto:1}
data merge block 632 26 106 {auto:1}
data merge block 632 28 106 {auto:1}
data merge block 632 30 106 {auto:1}
data merge block 632 24 111 {auto:1}
data merge block 632 24 109 {auto:1}
data merge block 632 24 111 {auto:1}
setblock 628 24 114 minecraft:redstone_wire replace

# Dragonne Data (Phase 1)
execute if score Difficulty Difficulty matches 1 as @e[tag=Dragonne] run data merge entity @s {NoAI:0b,Team:"Dragon",DeathLootTable:"minecraft:lily/entity/casual/sm2/dragonne",PersistenceRequired:1b,CanPickUpLoot:0b,Health:350f,Tags:["Dragonne"],CustomName:'{"text":"Dragonne","bold":true,"italic":false,"underlined":false}',HandItems:[{id:"minecraft:wooden_sword",Count:1b,tag:{CustomModelData:73,Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;667813147,1625837044,-1549954568,1617591152],Slot:"mainhand"}]}},{id:"minecraft:shield",Count:1b,tag:{BlockEntityTag:{Base:15,Patterns:[{Color:10,Pattern:"sc"},{Color:15,Pattern:"bri"},{Color:2,Pattern:"mr"},{Color:9,Pattern:"mc"},{Color:15,Pattern:"flo"}]}}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:2424893},Enchantments:[{}]}},{id:"minecraft:netherite_leggings",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Enchantments:[{}]}},{id:"minecraft:dragon_head",Count:1b}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:370},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.4},{Name:"generic.attack_damage",Base:11}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=Dragonne] run data merge entity @s {NoAI:0b,Team:"Dragon",DeathLootTable:"minecraft:lily/entity/normal/sm2/dragonne",PersistenceRequired:1b,CanPickUpLoot:0b,Health:420f,Tags:["Dragonne"],CustomName:'{"text":"Dragonne","bold":true,"italic":false,"underlined":false}',HandItems:[{id:"minecraft:wooden_sword",Count:1b,tag:{CustomModelData:73,Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;667844147,1615837044,-449954568,1617511152],Slot:"mainhand"}]}},{id:"minecraft:shield",Count:1b,tag:{BlockEntityTag:{Base:15,Patterns:[{Color:10,Pattern:"sc"},{Color:15,Pattern:"bri"},{Color:2,Pattern:"mr"},{Color:9,Pattern:"mc"},{Color:15,Pattern:"flo"}]}}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:2424893},Enchantments:[{}]}},{id:"minecraft:netherite_leggings",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Enchantments:[{}]}},{id:"minecraft:dragon_head",Count:1b}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:460},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.45},{Name:"generic.attack_damage",Base:12}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=Dragonne] run data merge entity @s {NoAI:0b,Team:"Dragon",DeathLootTable:"minecraft:lily/entity/insane/sm2/dragonne",PersistenceRequired:1b,CanPickUpLoot:0b,Health:550f,Tags:["Dragonne"],CustomName:'{"text":"Dragonne","bold":true,"italic":false,"underlined":false}',HandItems:[{id:"minecraft:wooden_sword",Count:1b,tag:{CustomModelData:73,Enchantments:[{}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;667814147,1624437044,-1541154568,1611241152],Slot:"mainhand"}]}},{id:"minecraft:shield",Count:1b,tag:{BlockEntityTag:{Base:15,Patterns:[{Color:10,Pattern:"sc"},{Color:15,Pattern:"bri"},{Color:2,Pattern:"mr"},{Color:9,Pattern:"mc"},{Color:15,Pattern:"flo"}]}}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:2424893},Enchantments:[{}]}},{id:"minecraft:netherite_leggings",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0},Enchantments:[{}]}},{id:"minecraft:dragon_head",Count:1b}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:575},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.5},{Name:"generic.attack_damage",Base:13}]}