# resets health and bossbars
execute if score Difficulty Difficulty matches 1 run bossbar set hithcrew max 940
execute if score Difficulty Difficulty matches 2 run bossbar set hithcrew max 748
execute if score Difficulty Difficulty matches 3 run bossbar set hithcrew max 624

execute if score Difficulty Difficulty matches 1 as @e[tag=hithcrew] at @s run data merge entity @s {NoAI:0b,NoGravity:0b,Silent:0b,Invulnerable:0b,CustomNameVisible:1b,DeathLootTable:"minecraft:lily/entity/casual/sm3/boss",Team:"Enemy",PersistenceRequired:1b,Health:940f,Tags:["hithcrew"],Attributes:[{Name:"generic.max_health",Base:940},{Name:"generic.follow_range",Base:256},{Name:"generic.knockback_resistance",Base:1},{Name:"generic.movement_speed",Base:0.0},{Name:"generic.attack_damage",Base:18}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=hithcrew] at @s run data merge entity @s {NoAI:0b,NoGravity:0b,Silent:0b,Invulnerable:0b,CustomNameVisible:1b,DeathLootTable:"minecraft:lily/entity/normal/sm3/boss",Team:"Enemy",PersistenceRequired:1b,Health:748f,Tags:["hithcrew"],Attributes:[{Name:"generic.max_health",Base:748},{Name:"generic.follow_range",Base:256},{Name:"generic.knockback_resistance",Base:1},{Name:"generic.movement_speed",Base:0.0},{Name:"generic.attack_damage",Base:19}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=hithcrew] at @s run data merge entity @s {NoAI:0b,NoGravity:0b,Silent:0b,Invulnerable:0b,CustomNameVisible:1b,DeathLootTable:"minecraft:lily/entity/insane/sm3/boss",Team:"Enemy",PersistenceRequired:1b,Health:624f,Tags:["hithcrew"],Attributes:[{Name:"generic.max_health",Base:624},{Name:"generic.follow_range",Base:256},{Name:"generic.knockback_resistance",Base:1},{Name:"generic.movement_speed",Base:0.0},{Name:"generic.attack_damage",Base:20}]}


# COME UP TO THE DRIPLEAF ARENA.
scoreboard players set hithcrew boss 0
scoreboard players set hithcrew_phase boss 4
scoreboard players set @a sm3_slow 0

effect clear @a slowness

execute as @a at @s run playsound minecraft:entity.ender_dragon.hurt master @s ~ ~ ~ 100000 0.5
effect give @a blindness 3 0

data merge block 1879 46 -12 {auto:0}

# if he was still on his bow ability it gets auto corrected to melee
execute as @e[type=wither_skeleton,tag=hithcrew] at @s run data merge entity @s {Invulnerable:0b,HandItems:[{id:"minecraft:wooden_sword",Count:1b,tag:{Unbreakable:1b,Damage:0,CustomModelData:130,Enchantments:[{id:"minecraft:fire_aspect",lvl:3s},{id:"minecraft:knockback",lvl:2s}],AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;-139111156,-1949022298,-2012205670,1841470144],Slot:"mainhand"}]}},{id:"minecraft:music_disc_11",Count:1b,tag:{CustomModelData:133,Enchantments:[{}]}}],HandDropChances:[0.000F,0.000F]}

tellraw @a ["",{"text":"["},{"text":"Hithcrew","bold":true,"color":"dark_purple"},{"text":"] I love this! A true challenge! Come up to the "},{"text":"Dripleaf Arena","color":"dark_green"},{"text":" to continue our legendary battle!"}]

tp @e[tag=hithcrew] 1901 6 -33
data merge block 1898 2 -32 {auto:1}
summon minecraft:magma_cube 1892 7 -28 {NoGravity:1b,Silent:1b,Invulnerable:1b,Glowing:1b,Team:"Marker",DeathLootTable:"minecraft:empty",PersistenceRequired:1b,NoAI:1b,Size:1,Tags:["marker"],active_effects:[{id:"minecraft:invisibility",amplifier:1b,duration:2000000,show_particles:0b}]}